## org.apache.tools.ant
Class DemuxInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.apache.tools.ant.DemuxInputStream

public class DemuxInputStream
extends java.io.InputStream

Passes input requests tot he project object for demuxing into individual tasks and threads.

Since:
  Ant 1.6
Author:
  Conor MacNeill

Constructor Summary
`DemuxInputStream(Project project)` Create a DemuxInputStream for the given project

Method Summary
`int` `read()`
`int` `read(byte[] buffer, int offset, int length)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemuxInputStream

    public DemuxInputStream(Project project)

  Create a DemuxInputStream for the given project

Parameters:
  `project` - the project instance

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`
  See Also:
    `InputStream.read()`

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
    `java.io.IOException`
  See Also:
    `InputStream.read(byte[], int, int)`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.